This is an automated email from the git hooks/post-receive script. It was
generated because a ref change was pushed to the repository containing
the project "".
The branch, master has been updated
via 2520efadae74322d9a61c7e306246518a8396b6f (commit)
from b33b8ed7ca7c0f66f9c63155dd7e59ecaf7ea75e (commit)
Those revisions listed above that are new to this repository have
not appeared on any other notification email; so we list those
revisions in full, below.
- Log -----------------------------------------------------------------
commit 2520efadae74322d9a61c7e306246518a8396b6f
Author: Matias Elo <matias.elo(a)nokia.com>
Date: Thu Apr 27 14:29:54 2017 +0300
linux-gen: pktio: fix valgrind warnings
Fix valgrind warnings about syscall params pointing to uninitialised bytes.
Signed-off-by: Matias Elo <matias.elo(a)nokia.com>
Reviewed-by: Bill Fischofer <bill.fischofer(a)linaro.org>
Signed-off-by: Maxim Uvarov <maxim.uvarov(a)linaro.org>
diff --git a/platform/linux-generic/pktio/ethtool.c b/platform/linux-generic/pktio/ethtool.c
index 1b0f25b2..d8f9e12c 100644
--- a/platform/linux-generic/pktio/ethtool.c
+++ b/platform/linux-generic/pktio/ethtool.c
@@ -158,6 +158,7 @@ int ethtool_stats_get_fd(int fd, const char *name, odp_pktio_stats_t *stats)
{
struct ifreq ifr;
+ memset(&ifr, 0, sizeof(ifr));
snprintf(ifr.ifr_name, IF_NAMESIZE, "%s", name);
return ethtool_stats(fd, &ifr, stats);
diff --git a/platform/linux-generic/pktio/socket.c b/platform/linux-generic/pktio/socket.c
index 7d239686..a08b0104 100644
--- a/platform/linux-generic/pktio/socket.c
+++ b/platform/linux-generic/pktio/socket.c
@@ -234,6 +234,7 @@ static inline int get_rss_hash_options(int fd, const char *name,
struct ifreq ifr;
struct ethtool_rxnfc rsscmd;
+ memset(&ifr, 0, sizeof(ifr));
memset(&rsscmd, 0, sizeof(rsscmd));
*options = 0;
-----------------------------------------------------------------------
Summary of changes:
platform/linux-generic/pktio/ethtool.c | 1 +
platform/linux-generic/pktio/socket.c | 1 +
2 files changed, 2 insertions(+)
hooks/post-receive
--
This is an automated email from the git hooks/post-receive script. It was
generated because a ref change was pushed to the repository containing
the project "".
The branch, api-next has been updated
via fce704f34f8af56d8c63b9e77c9a4f7a590655b4 (commit)
via 8df1b60560ac49b403bfb044c04595b831bc393b (commit)
from bac3806356694060d30bf3c83e4133410fecd9ab (commit)
Those revisions listed above that are new to this repository have
not appeared on any other notification email; so we list those
revisions in full, below.
- Log -----------------------------------------------------------------
commit fce704f34f8af56d8c63b9e77c9a4f7a590655b4
Author: Maxim Uvarov <maxim.uvarov(a)linaro.org>
Date: Thu Apr 27 17:26:43 2017 +0300
test: pktio_run: exit if binary was not found
No need to continue run if binary was not found in paths.
Signed-off-by: Maxim Uvarov <maxim.uvarov(a)linaro.org>
Reviewed-and-tested-by: Bill Fischofer <bill.fischofer(a)linaro.org>
diff --git a/test/linux-generic/validation/api/pktio/pktio_run.sh b/test/linux-generic/validation/api/pktio/pktio_run.sh
index e8b0f936..19def8c5 100755
--- a/test/linux-generic/validation/api/pktio/pktio_run.sh
+++ b/test/linux-generic/validation/api/pktio/pktio_run.sh
@@ -31,6 +31,7 @@ if [ -x "$pktio_main_path" ] ; then
echo "running with pktio_main: $pktio_run_path"
else
echo "cannot find pktio_main: please set you PATH for it."
+ exit 1
fi
# directory where platform test sources are, including scripts
commit 8df1b60560ac49b403bfb044c04595b831bc393b
Author: Maxim Uvarov <maxim.uvarov(a)linaro.org>
Date: Thu Apr 27 17:26:42 2017 +0300
test: tm: add paths to find tm binary
Use the same algorithm as pktio_run.sh to find paths in
different cases (in tree build, out of tree build, distcheck
and etc).
Fixes:
https://bugs.linaro.org/show_bug.cgi?id=2969
Signed-off-by: Maxim Uvarov <maxim.uvarov(a)linaro.org>
Reviewed-and-tested-by: Bill Fischofer <bill.fischofer(a)linaro.org>
diff --git a/test/common_plat/validation/api/traffic_mngr/traffic_mngr.sh b/test/common_plat/validation/api/traffic_mngr/traffic_mngr.sh
index a7d54162..4db7ea38 100755
--- a/test/common_plat/validation/api/traffic_mngr/traffic_mngr.sh
+++ b/test/common_plat/validation/api/traffic_mngr/traffic_mngr.sh
@@ -6,13 +6,29 @@
# SPDX-License-Identifier: BSD-3-Clause
#
-# directory where test binaries have been built
-TEST_DIR="${TEST_DIR:-$(dirname $0)}"
+# directories where traffic_mngr_main binary can be found:
+# -in the validation dir when running make check (intree or out of tree)
+# -in the script directory, when running after 'make install', or
+# -in the validation when running standalone (./traffic_mngr) intree.
+# -in the current directory.
+# running stand alone out of tree requires setting PATH
+PATH=${TEST_DIR}/api/traffic_mngr:$PATH
+PATH=$(dirname $0)/../../../../common_plat/validation/api/traffic_mngr:$PATH
+PATH=$(dirname $0):$PATH
+PATH=`pwd`:$PATH
+
+traffic_mngr_main_path=$(which traffic_mngr_main${EXEEXT})
+if [ -x "$traffic_mngr_main_path" ] ; then
+ echo "running with traffic_mngr_main: $traffic_mngr_run_path"
+else
+ echo "cannot find traffic_mngr_main: please set you PATH for it."
+ exit 1
+fi
# exit codes expected by automake for skipped tests
TEST_SKIPPED=77
-${TEST_DIR}/traffic_mngr_main${EXEEXT}
+traffic_mngr_main${EXEEXT}
ret=$?
SIGSEGV=139
-----------------------------------------------------------------------
Summary of changes:
.../validation/api/traffic_mngr/traffic_mngr.sh | 22 +++++++++++++++++++---
.../validation/api/pktio/pktio_run.sh | 1 +
2 files changed, 20 insertions(+), 3 deletions(-)
hooks/post-receive
--
This is an automated email from the git hooks/post-receive script. It was
generated because a ref change was pushed to the repository containing
the project "".
The branch, master has been updated
via b33b8ed7ca7c0f66f9c63155dd7e59ecaf7ea75e (commit)
via cf4a8144d8a8fcbbc3a9d6d43cbaa479f5e2dbfb (commit)
from de644d068b0a6d4658770044191db7f96f716600 (commit)
Those revisions listed above that are new to this repository have
not appeared on any other notification email; so we list those
revisions in full, below.
- Log -----------------------------------------------------------------
commit b33b8ed7ca7c0f66f9c63155dd7e59ecaf7ea75e
Author: Maxim Uvarov <maxim.uvarov(a)linaro.org>
Date: Thu Apr 27 17:26:43 2017 +0300
test: pktio_run: exit if binary was not found
No need to continue run if binary was not found in paths.
Signed-off-by: Maxim Uvarov <maxim.uvarov(a)linaro.org>
Reviewed-and-tested-by: Bill Fischofer <bill.fischofer(a)linaro.org>
diff --git a/test/linux-generic/validation/api/pktio/pktio_run.sh b/test/linux-generic/validation/api/pktio/pktio_run.sh
index e8b0f936..19def8c5 100755
--- a/test/linux-generic/validation/api/pktio/pktio_run.sh
+++ b/test/linux-generic/validation/api/pktio/pktio_run.sh
@@ -31,6 +31,7 @@ if [ -x "$pktio_main_path" ] ; then
echo "running with pktio_main: $pktio_run_path"
else
echo "cannot find pktio_main: please set you PATH for it."
+ exit 1
fi
# directory where platform test sources are, including scripts
commit cf4a8144d8a8fcbbc3a9d6d43cbaa479f5e2dbfb
Author: Maxim Uvarov <maxim.uvarov(a)linaro.org>
Date: Thu Apr 27 17:26:42 2017 +0300
test: tm: add paths to find tm binary
Use the same algorithm as pktio_run.sh to find paths in
different cases (in tree build, out of tree build, distcheck
and etc).
Fixes:
https://bugs.linaro.org/show_bug.cgi?id=2969
Signed-off-by: Maxim Uvarov <maxim.uvarov(a)linaro.org>
Reviewed-and-tested-by: Bill Fischofer <bill.fischofer(a)linaro.org>
diff --git a/test/common_plat/validation/api/traffic_mngr/traffic_mngr.sh b/test/common_plat/validation/api/traffic_mngr/traffic_mngr.sh
index a7d54162..4db7ea38 100755
--- a/test/common_plat/validation/api/traffic_mngr/traffic_mngr.sh
+++ b/test/common_plat/validation/api/traffic_mngr/traffic_mngr.sh
@@ -6,13 +6,29 @@
# SPDX-License-Identifier: BSD-3-Clause
#
-# directory where test binaries have been built
-TEST_DIR="${TEST_DIR:-$(dirname $0)}"
+# directories where traffic_mngr_main binary can be found:
+# -in the validation dir when running make check (intree or out of tree)
+# -in the script directory, when running after 'make install', or
+# -in the validation when running standalone (./traffic_mngr) intree.
+# -in the current directory.
+# running stand alone out of tree requires setting PATH
+PATH=${TEST_DIR}/api/traffic_mngr:$PATH
+PATH=$(dirname $0)/../../../../common_plat/validation/api/traffic_mngr:$PATH
+PATH=$(dirname $0):$PATH
+PATH=`pwd`:$PATH
+
+traffic_mngr_main_path=$(which traffic_mngr_main${EXEEXT})
+if [ -x "$traffic_mngr_main_path" ] ; then
+ echo "running with traffic_mngr_main: $traffic_mngr_run_path"
+else
+ echo "cannot find traffic_mngr_main: please set you PATH for it."
+ exit 1
+fi
# exit codes expected by automake for skipped tests
TEST_SKIPPED=77
-${TEST_DIR}/traffic_mngr_main${EXEEXT}
+traffic_mngr_main${EXEEXT}
ret=$?
SIGSEGV=139
-----------------------------------------------------------------------
Summary of changes:
.../validation/api/traffic_mngr/traffic_mngr.sh | 22 +++++++++++++++++++---
.../validation/api/pktio/pktio_run.sh | 1 +
2 files changed, 20 insertions(+), 3 deletions(-)
hooks/post-receive
--